Qt 5.9 | Qt 3D | C++ Classes | QAbstractLight

Qt 5.9.9 Reference Documentation

# QAbstractLight Class

(Qt3DRender::QAbstractLight)

Encapsulate a QAbstractLight object in a Qt 3D scene. More...

Header: | #include <QAbstractLight>
qmake: | QT += 3drender
Since: | Qt 5.6
Instantiated By: | Light
Inherits: | Qt3DCore::QComponent
Inherited By: | Qt3DRender::QDirectionalLight, Qt3DRender::QPointLight, and Qt3DRender::QSpotLight

- List of all members, including inherited members

## Public Types

enum | Type { PointLight, DirectionalLight, SpotLight }

## Properties

- color : QColor
- intensity : float
- type : const Type

- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| ~QAbstractLight()
QColor | color() const
float | intensity() const
Type | type() const

- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setColor(const QColor &color)
void | setIntensity(float intensity)

- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | colorChanged(const QColor &color)
void | intensityChanged(float intensity)

- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractLight(QAbstractLightPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulate a QAbstractLight object in a Qt 3D scene.

## Member Type Documentation

### enum QAbstractLight::Type

Identifies the particular type of light.

Constant | Value
--- | ---
`Qt3DRender::QAbstractLight::PointLight` | `0`
`Qt3DRender::QAbstractLight::DirectionalLight` | `1`
`Qt3DRender::QAbstractLight::SpotLight` | `2`

## Property Documentation

### color : QColor

Holds the current QAbstractLight color.

Access functions:

QColor | color() const
void | setColor(const QColor &color)

Notifier signal:

void | colorChanged(const QColor &color)

### intensity : float

Holds the current QAbstractLight intensity.

Access functions:

float | intensity() const
void | setIntensity(float intensity)

Notifier signal:

void | intensityChanged(float intensity)

### type : const Type

Contains the type of light.

Access functions:

Type | type() const

## Member Function Documentation

### `[protected]` QAbstractLight::QAbstractLight(QAbstractLightPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QAbstractLight::~QAbstractLight()

Destroys the instance of QAbstractLight.

### Type QAbstractLight::type() const

Holds the current QAbstractLight type.

Note: Getter function for property type.